For the complete documentation index, see llms.txt. This page is also available as Markdown.

Grant warehouse access

Grants access for a store to a warehouse.

Required permissions: WAREHOUSE

post
/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/access
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
warehouseUidstringRequired

Reference to a Warehouse.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
rolestring · enumRequired
ENUMDescription
DELIVERCan deliver products using stock from this warehouse.
MOVECan move stock to and from this warehouse.
RECEIVECan receive purchase orders to this warehouse.
RESERVECan make stock reservations from this warehouse.
RETURNCan return stock to this warehouse.
SHIPCan reserve stock in this warehouse so the owning store ships it to the customer.
VIEWOnly able to view quantity.
Possible values:
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
rolestring · enumRequired
ENUMDescription
DELIVERCan deliver products using stock from this warehouse.
MOVECan move stock to and from this warehouse.
RECEIVECan receive purchase orders to this warehouse.
RESERVECan make stock reservations from this warehouse.
RETURNCan return stock to this warehouse.
SHIPCan reserve stock in this warehouse so the owning store ships it to the customer.
VIEWOnly able to view quantity.
Possible values:
storeUidstringOptionalPattern: ^[A-Za-z0-9-_]+
warehouseAccessUidstringRequiredPattern: ^[A-Za-z0-9-_]+
post/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/access
POST /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/access HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 36

{
  "role": "DELIVER",
  "storeUid": "text"
}
200

Example response

{
  "role": "DELIVER",
  "storeUid": "text",
  "warehouse": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "externalId": "text",
    "lastModifiedAt": "2026-01-01T00:00:00.000Z",
    "name": "text",
    "warehouseUid": "text",
    "accessList": [
      {
        "role": "DELIVER",
        "storeUid": "text",
        "storeName": "text",
        "warehouseUid": "text",
        "warehouseName": "text",
        "warehouseAccessUid": "text"
      }
    ]
  },
  "warehouseAccessUid": "text"
}

Last updated

Was this helpful?